#!/bin/bash

# If one of the commands below returns non-zero then exit immediately
set -e

echo "Testing `autotrace --version`"
old_size=`stat -c "%s" logo.svg`

# Funny that jpg format working fine on Fedora 32 system but let's use upstream
# recommended format ppm
autotrace --output-format svg --output-file logo_new.svg --color-count 4 logo.ppm
new_size=`stat -c "%s" logo_new.svg`
if [ $old_size -ne $new_size ]; then
        echo "FAILED: autotrace generated different svg file"
else
        echo "PASSED: autotrace generated same svg file"
fi
